io.etcd.jetcd.api

## Interface AuthUserGrantRoleRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  AuthUserGrantRoleRequest, AuthUserGrantRoleRequest.Builder

    public interface AuthUserGrantRoleRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getRole()` role is the name of the role to grant to the user.
`com.google.protobuf.ByteString` `getRoleBytes()` role is the name of the role to grant to the user.
`String` `getUser()` user is the name of the user which should be granted a given role.
`com.google.protobuf.ByteString` `getUserBytes()` user is the name of the user which should be granted a given role.

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getUser

    String getUser()

     user is the name of the user which should be granted a given role.

`string user = 1;`

Returns:
  The user.

#### getUserBytes

    com.google.protobuf.ByteString getUserBytes()

     user is the name of the user which should be granted a given role.

`string user = 1;`

Returns:
  The bytes for user.

#### getRole

    String getRole()

     role is the name of the role to grant to the user.

`string role = 2;`

Returns:
  The role.

#### getRoleBytes

    com.google.protobuf.ByteString getRoleBytes()

     role is the name of the role to grant to the user.

`string role = 2;`

Returns:
  The bytes for role.